### Method

# Gtk PrintContextget_hard_margins

#### Declaration [src]

    gboolean
    gtk_print_context_get_hard_margins (
      GtkPrintContext* context,
      double* top,
      double* bottom,
      double* left,
      double* right
    )

#### Description [src]

Obtains the hardware printer margins of the `GtkPrintContext`, in units.

#### Parameters

`top`

  Type: `double*`

  Top hardware printer margin.

  The argument will be set by the function.

`bottom`

  Type: `double*`

  Bottom hardware printer margin.

  The argument will be set by the function.

`left`

  Type: `double*`

  Left hardware printer margin.

  The argument will be set by the function.

`right`

  Type: `double*`

  Right hardware printer margin.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the hard margins were retrieved.